Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1346073 - geany-plugins-geanylatex should not have a whole LaTeX environment as a hard dependency
Summary: geany-plugins-geanylatex should not have a whole LaTeX environment as a hard ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: geany-plugins
Version: 24
Hardware: All
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-13 20:51 UTC by Iiro Laiho
Modified: 2017-07-28 02:49 UTC (History)
4 users (show)

Fixed In Version: geany-plugins-1.28-1.el7 geany-plugins-1.29-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-18 18:05:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Iiro Laiho 2016-06-13 20:51:39 UTC
Description of problem: Geany-plugins-geanylatex should not have a whole LaTeX distribution as a hard dependency.


Version-Release number of selected component (if applicable):
geany-plugins-geanylatex.x86_64 1.27-1.fc23


How reproducible:


Steps to Reproduce:
1. Append "install_weak_deps=False" to dnf.conf
2. Run "dnf install geany-plugins-geanylatex"

Actual results:

It wants to install a whole LaTeX distribution.

Expected results:

It should install only the Geany LaTeX plugin

Additional info:

Installing only the plugin without whole LaTeX would be useful if one wants to build the files on a remote host via ssh, just edit the files without building them or install LaTeX outside of the package manager.

Comment 1 Fedora Update System 2016-07-11 10:58:54 UTC
geany-plugins-1.28-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b7abf4da79

Comment 2 Fedora Update System 2016-07-12 02:53:32 UTC
geany-plugins-1.28-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b7abf4da79

Comment 3 Fedora Update System 2016-08-01 16:21:42 UTC
geany-plugins-1.28-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Iiro Laiho 2016-11-07 15:50:49 UTC
What about Fedora?

Comment 5 Iiro Laiho 2016-11-18 19:36:30 UTC
I reported the bug against Fedora. However this bug seems to have been fixed only for EPEL. Could it be fixed for Fedora as well?

Comment 6 Fedora Update System 2016-11-23 15:35:00 UTC
geany-plugins-1.29-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1eb6538af6

Comment 7 Fedora Update System 2016-11-25 00:22:39 UTC
geany-plugins-1.29-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1eb6538af6

Comment 8 Fedora End Of Life 2016-11-25 09:17:52 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Iiro Laiho 2016-11-29 12:55:41 UTC
There seems to be a some kind of malfunctioning bot closing this. Not even in theory could a fix in EPEL be enough to fix this problem, since I reported it against a Fedora package.

Comment 11 Fedora Update System 2017-07-28 02:49:46 UTC
geany-plugins-1.29-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.